<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.ZdAssortMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.segmentation.ZdAssort">
                    <id column="assort_id" property="assortId"/>
                    <result column="assort_name" property="assortName"/>
                    <result column="assort_sort" property="assortSort"/>
                    <result column="effective" property="effective"/>
                    <result column="is_check" property="isCheck"/>
                    <result column="assort_code" property="assortCode"/>
                    <result column="level" property="level"/>
                    <result column="type_code" property="typeCode"/>
                    <result column="recall_role" property="recallRole"/>
                    <result column="collect_id" property="collectId"/>
                    <result column="assort_source" property="assortSource"/>
        </resultMap>

            <!-- 通用查询结果列 -->
            <sql id="Base_Column_List">
                assort_id, assort_name, assort_sort, effective, is_check, assort_code, level, type_code, recall_role, collect_id, assort_source
            </sql>

</mapper>
